package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-15 13:01:37
 */
@Data
@TableName("mgt_threshold_management")
public class ThresholdManagementEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId
	private Integer id;
	/**
	 * 牧场id
	 */
	private Integer farmId;
	/**
	 * 阈值类型
	 */
	private Integer thresholdType;
	/**
	 * 所属范围
	 * 1.室内
	 * 2.室外
	 * 3.体温
	 * 4.饮用水
	 */
	private Short belongTo;
	/**
	 * 阈值数值
	 */
	private Double thresholdValue;
	/**
	 * 删除状态 0:未删除 其他:已删除
	 */
	@TableLogic
	private Integer deleted;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date gmtCreate;
	/**
	 * 修改时间
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Date gmtModified;

}
