package com.huimv.management.entity.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 阈值管理vo
 * </p>
 *
 * @author yinhao
 * @date 2021/6/16 17:01
 */
@Data
public class ThresholdManagementVo implements Serializable {
    private static final long serialVersionUID = -1474010381756803356L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 牧场id
     */
    private Integer farmId;
    /**
     * 牧场名称
     */
    private String farmName;
    /**
     * 阈值类型
     */
    private Integer thresholdType;
    /**
     * 所属范围
     * 1.室内
     * 2.室外
     * 3.体温
     * 4.饮用水
     */
    private Short belongTo;
    /**
     * 阈值数值
     */
    private Double thresholdValue;
}
