package com.huimv.management.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.PageUtils;
import com.huimv.management.entity.DrinkingWaterEntity;
import com.huimv.management.entity.IndoorEnvironmentEntity;

import java.util.Map;

/**
 * 饮用水指标service
 *
 * @author yinhao
 * @version 1.0
 * @date 2021-05-07 15:32:42
 */
public interface DrinkingWaterService extends IService<DrinkingWaterEntity> {

    /**
     * 分页查询饮用水指标信息
     * @param params
     * @return
     */
    PageUtils queryPage(Map<String, Object> params);
}

