package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.BreedFeedWeigheDao;
import com.huimv.management.entity.BreedFeedWeigheEntity;
import com.huimv.management.service.BreedFeedWeigheService;


@Service("breedFeedWeigheService")
public class BreedFeedWeigheServiceImpl extends ServiceImpl<BreedFeedWeigheDao, BreedFeedWeigheEntity> implements BreedFeedWeigheService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<BreedFeedWeigheEntity> page = this.page(
                new Query<BreedFeedWeigheEntity>().getPage(params),
                new QueryWrapper<BreedFeedWeigheEntity>()
        );

        return new PageUtils(page);
    }

}