package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.BaseFeedFormulaDao;
import com.huimv.management.entity.BaseFeedFormulaEntity;
import com.huimv.management.service.BaseFeedFormulaService;


@Service("baseFeedFormulaService")
public class BaseFeedFormulaServiceImpl extends ServiceImpl<BaseFeedFormulaDao, BaseFeedFormulaEntity> implements BaseFeedFormulaService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<BaseFeedFormulaEntity> page = this.page(
                new Query<BaseFeedFormulaEntity>().getPage(params),
                new QueryWrapper<BaseFeedFormulaEntity>()
        );
        return new PageUtils(page);
    }

}